package com.strategyquant.extend.TradeListColumns;

import com.strategyquant.lib.databank.TradeListColumn;
import com.strategyquant.lib.language.L;
import com.strategyquant.lib.results.SQOrder;

public class MagicNumber extends TradeListColumn {
    
	public MagicNumber() {
		super();
		
		setName(L.t("Magic number"));		
		setWidth(60);
	}

	@Override
	public Object getValue(SQOrder order, String plType) {
		return order.MagicNumber;
	}
	
	@Override
	public String displayString(SQOrder order, String plType) {
		return order.MagicNumber!=0 ? order.MagicNumber+"" : "";
	}
}